Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.gwt.user.client
Enum DocumentModeAsserter.Severity

    java.lang.Object
      java.lang.Enum<DocumentModeAsserter.Severity>
          com.google.gwt.user.client.DocumentModeAsserter.Severity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DocumentModeAsserter.Severity>

Enclosing class:
  DocumentModeAsserter

    public static enum DocumentModeAsserter.Severity

extends java.lang.Enum<DocumentModeAsserter.Severity>

Determine the severity of the runtime $doc.compatMode check:

Enum Constant Summary
`ERROR` Receive an error message at runtime.
`IGNORE` No runtime check.
`WARN` Receive a warning in Development Mode.

Method Summary
`static DocumentModeAsserter.Severity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DocumentModeAsserter.Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final DocumentModeAsserter.Severity ERROR

  Receive an error message at runtime.

### IGNORE

    public static final DocumentModeAsserter.Severity IGNORE

  No runtime check.

### WARN

    public static final DocumentModeAsserter.Severity WARN

  Receive a warning in Development Mode.

Method Detail

### values

    public static DocumentModeAsserter.Severity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DocumentModeAsserter.Severity c : DocumentModeAsserter.Severity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DocumentModeAsserter.Severity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD